App\Entity\ReparationPiece:
    type: entity
    table: reparation_piece
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        titre:
            type: string
            length: 255
            fixed: false
            nullable: true
        description:
            type: text
            nullable: true
        fichier:
            type: string
            length: 255
            fixed: false
            nullable: true
        extension:
            type: string
            length: 255
            fixed: false
            nullable: true
        taille:
            type: float
            nullable: true
        dateAjout:
            type: datetime
            nullable: true
    manyToOne:
        reparation:
            targetEntity: Reparation
            cascade: {  }
            mappedBy: null
            inversedBy: pieces
            joinColumns:
                reparation_id:
                    referencedColumnName: id
            orphanRemoval: false